# Submenu

class `praw.models.``Submenu`(reddit: Reddit, _data: Dict[str, Any])

  Class to represent a submenu of links inside a menu.

  Typical Attributes

  This table describes attributes that typically belong to objects of this class. Since attributes are dynamically provided (see Determine Available Attributes of an Object), there is not a guarantee that these attributes will always be present, nor is this list necessarily complete.

  Attribute | Description
  --- | ---
  `children` | A list of the `MenuLink`s in this submenu. Can be iterated over by iterating over the `Submenu` (e.g. `for menu_link in submenu`).
  `text` | The name of the submenu.

  `__contains__`(item: Any) → bool

    Test if item exists in the list.

  `__getitem__`(index: int) → Any

    Return the item at position index in the list.

  `__init__`(reddit: Reddit, _data: Dict[str, Any])

    Initialize a BaseList instance.

    Parameters

      reddit – An instance of `Reddit`.

  `__iter__`() → Iterator[Any]

    Return an iterator to the list.

  `__len__`() → int

    Return the number of items in the list.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.